#pragma once
#include "afxdialogex.h"


// SoftCompare1D 对话框

class SoftCompare1D : public CDialogEx
{
	DECLARE_DYNAMIC(SoftCompare1D)

public:
	SoftCompare1D(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~SoftCompare1D();

// 对话框数据
#define AFX_DESIGN_TIME
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOGSOFT_CMP };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
	DECLARE_MESSAGE_MAP()
public:
	// 比较位置
	double cmpPos;
	// IO输出时间
	double ioOutTime;
	// 比较通道
	CComboBox cmpChan;
	// 比较轴号
	CComboBox cmpAxis;
	// 比较模式
	CComboBox cmpMode;
	// 比较源选择
	CComboBox cmpSource;
	// 触发模式
	CComboBox triggerMode;
	// 触发参数
	CComboBox triggerPrm;
	CStatic output0State;
	CStatic output1State;
	afx_msg void OnBnClickedButton4();
	CStatic GroupBoxAxis0;
	CStatic GroupBoxAxis1;
	afx_msg void OnBnClickedButton6();
	afx_msg void OnBnClickedButton5();
	afx_msg void OnBnClickedButton1();
	afx_msg void OnBnClickedButton2();
	afx_msg void OnBnClickedButton3();
	afx_msg void OnCbnSelchangeCombo5();
};
